package envoy.client.event;

/**
 * Encapsulates a change to the {@code enterToSend} setting.<br>
 * <br>
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>EnterToSendEvent.java</strong><br>
 * Created: <strong>22 Dec 2019</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy v0.3-alpha
 */
public class EnterToSendEvent implements Event<Boolean> {

	private boolean mode;

	/**
	 * Initializes an {@link EnterToSendEvent}.
	 * 
	 * @param mode the state of the {@code enterToSend} setting
	 * @since Envoy 0.3-alpha
	 */
	public EnterToSendEvent(boolean mode) { this.mode = mode; }

	@Override
	public Boolean get() { return mode; }
}