package envoy.client.event;

/**
 * Encapsulates a change to the {@code currentOnCloseMode} setting.<br>
 * <br>
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>OnCloseChangeEvent.java</strong><br>
 * Created: <strong>22 Dec 2019</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy v0.3-alpha
 */
public class OnCloseChangeEvent implements Event<Boolean> {

	private boolean closeMode;

	/**
	 * Initializes an {@link OnCloseChangeEvent}.
	 * 
	 * @param closeMode the state of the {@code currentOnCloseMode} setting
	 * @since Envoy 0.3-alpha
	 */
	public OnCloseChangeEvent(boolean closeMode) { this.closeMode = closeMode; }

	@Override
	public Boolean get() { return closeMode; }
}